LR_XML2REPORT(1)

NAME
lr_xml2report - Format a XML report to the appropriate output format

SYNOPSIS
lr_xml2report [options] report.xml [report.xml ...]

lr_xml2report -h

lr_xml2report -v

OPTIONS

-h  Prints usage information and exits.

-i  Generate charts for all reports that support it. Normally, charts will be generated only if the variable LR_INCLUDEIMAGES is set to 1.

-c report_cfg
    Use the file report_cfg (e.g. /etc/lire/print.cfg.local) as the report configuration file instead of the default one. This option is only used in case multiple XML report files where specified.

-o output format
    one of docbookx, excel95, html, html_page, logml, pdf, rtf, txt, xhtml, xhtml_page and xml. Per default, simple txt output is generated. The logml output format is only available for the www and email superservice. html and xhtml generate multiple pages, html_page and xhtml_page generate the complete report on one page. (Refer to the Lire User Manual for a description of those formats.)

-U superservice, -S service
    in case multiple XML report files are specified, the Lire superservice and service needs to be known. If this script is called by a wrapper, the wrapper script should make sure the LR_SUPERSERVICE and LR_SERVICE environment variables are set. When calling this script by hand, one could use the -U and -S options. The scripts lr_check_service(1) and lr_check_superservice(1) can be used to look up Lire supported services and superservices.

-t  Only tests for requirements, don't actually format the report.

-v  Prints version and exits.

DESCRIPTION
lr_xml2report converts the XML reports generated by Lire to various output format.

When run from the commandline, it's usefull to run it under lr_run(1), to be able to tune the amount of debug output generated.

The script could be run as e.g.

 lr_run lr_xml2report -o pdf -U print -S cups_pagelog report.3.xml \
  report.2.xml report.1.xml > report.pdf
(in multiple XML input files mode) or as

 lr_run lr_xml2report -o txt report.xml > report.txt
(in single XML input file mode).

SEE ALSO
lr_xml2mail(1), lr_xml_merge(1)

VERSION
This manpage: $Id: lr_xml2report.pod,v 1.9 2002/08/18 12:53:28 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000-2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHORS
Joost van Baal <joostvb@logreport.org>

Francis J. Lacoste <flacoste@logreport.org>